<?php
/**
 *  Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kids Online Store
 */
$kids_online_store_single_post_thumb =  get_theme_mod( 'kids_online_store_single_post_thumb', 1 );
$kids_online_store_single_post_meta =  get_theme_mod( 'kids_online_store_single_post_meta', 1 );
$kids_online_store_single_post_title = get_theme_mod( 'kids_online_store_single_post_title', 1 );
$kids_online_store_single_post_page_content =  get_theme_mod( 'kids_online_store_single_post_page_content', 1 );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php if ($kids_online_store_single_post_title == 1 ) {?>
            <?php the_title('<h2 class="entry-title">', '</h2>'); ?>
        <?php }?>

        <?php if ($kids_online_store_single_post_thumb == 1 ) {?>
            <?php if(has_post_thumbnail()) {?>
                <hr>
                    <?php the_post_thumbnail(); ?>
                <hr>
            <?php }?>
        <?php }?>
        
        <?php if ($kids_online_store_single_post_meta == 1 ) {?>
            <?php if ('post' === get_post_type()) :?>
                <div class="entry-meta">
                    <?php
                    kids_online_store_posted_on();
                    ?>
                </div>
            <?php endif; ?>
        <?php }?>
    </header>
    <div class="entry-content">
        <?php if ($kids_online_store_single_post_page_content == 1 ) {?>
            <?php
            the_content(sprintf(
                wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                    __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'kids-online-store'),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                esc_html( get_the_title() )
            ));

            wp_link_pages(array(
                'before' => '<div class="page-links">' . esc_html__('Pages:', 'kids-online-store'),
                'after' => '</div>',
            ));
            ?>
        <?php }?>
    </div>
    <footer class="entry-footer">
        <?php kids_online_store_entry_footer(); ?>
    </footer>
</article>